/*
 * Auto-generated by RDF4JSchemaGenerator
 */
package de.naturzukunft.rdf4j.vocabulary;

import org.eclipse.rdf4j.model.IRI;
import org.eclipse.rdf4j.model.ValueFactory;
import org.eclipse.rdf4j.model.impl.SimpleValueFactory;

/**
 *
 * Issue tracking - Workflow application definition ontology
 * 
 * Finite state automaton ontology
 * 
 * See requirements for tracking tools http://www.w3.org/2005/01/06-tool-req.html
 * 
 * Namespace wf
 * Prefix: {@code <http://www.w3.org/2005/01/wf/flow#>}
 *
 * Hauschel Fred 2/2021 i got the Ontology from 
 * curl --location --request GET 'http://www.w3.org/2005/01/wf/flow' --header 'Accept: application/rdf+xml'
 *
 * And generate this Class with 
 * com.github.ansell.rdf4j-schema-generator:schema-generator-maven-plugin:0.4.2
 * But there was some modification necessary, so i throw the generator project away and keept this manual adjusted Class.
 * The turtle file is located here: /src/main/resources/IssueTrackingWorkflow.ttl
 * 
 * <a href="http://www.w3.org/People/Berners-Lee/card#i">Authors</a> comment:
 * 
 * This ontology defines a very general class (Task) which can used for any kind of bug tracking, issue tracking,
 * to-do-list management, action items, goal dependency, and so on. It captures the state of a task as a subclass, so that 
 * subsumption can be used. It captures a discussion thread about a task. It captures subtasks structure if necessary. 
 * A \"Tracker\" defines actual set of states, categories, etc., which  a task can be in. The data about the tracker
 * guides the software managing the task.
 * There is some workflow modeling finite state machine terms which are optional for  more complex definition of the transitions allowed.
 */
public class WF {

	/**
	 * {@code <http://www.w3.org/2005/01/wf/flow#>}
	 */
	public static final String NAMESPACE = "http://www.w3.org/2005/01/wf/flow#"; 

	/**
	 * {@code <http://www.w3.org/2005/01/wf/flow#>}
	 */
	public static final IRI NAMESPACE_IRI;

	/**
	 * {@code <wf>}
	 */
	public static final String PREFIX = "wf"; 

	/**********************
	 * IRI String Constants
	 **********************/

	/**
	 * action item
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#ActionItem}
	 * <p>
	 * An obligation taken on by a person, typically at a meeting.
    
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#ActionItem">ActionItem</a>
	 */
	public static final String ACTION_ITEM_STRING = "ActionItem";

	/**
	 * affects
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#affects}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#affects">affects</a>
	 */
	public static final String AFFECTS_STRING = "affects";

	/**
	 * allowed transitions
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#allowedTransitions}
	 * <p>
	 * The state machine is defined
	by these lists of transition allowed for
 	 * each issue.
	(An interesting option in the Web is to make an allowed
 	 * transition
	to a state in soemone else&#39;s ontology, which in turn
 	 * allows
	transitions into many ontologies.  So a finite state
 	 * maxchine
	may become very large. In practice this means that a task
 	 * handed
	off to another organization may be processed on all kinds of
 	 * ways.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#allowedTransitions">allowedTransitions</a>
	 */
	public static final String ALLOWED_TRANSITIONS_STRING = "allowedTransitions";

	/**
	 * assignees must be
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#asigneeClass}
	 * <p>
	 * When an issue is assigned, the assignee must be from this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#asigneeClass">asigneeClass</a>
	 */
	public static final String ASIGNEE_CLASS_STRING = "asigneeClass";

	/**
	 * assigned to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#assignee}
	 * <p>
	 * The person or group to whom this has been assigned.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#assignee">assignee</a>
	 */
	public static final String ASSIGNEE_STRING = "assignee";

	/**
	 * attachment
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#attachment}
	 * <p>
	 * Something related is attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#attachment">attachment</a>
	 */
	public static final String ATTACHMENT_STRING = "attachment";

	/**
	 * change
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Change}
	 * <p>
	 * The universal class of things which
change the state of a
 	 * task.
Included now: Creation, Transition. (Maybe in the future
more
 	 * π-calculus constructions such as splitting &amp; merging tasks,
and
 	 * import/export of obligations to a foreign opaque system.)

	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Change">Change</a>
	 */
	public static final String CHANGE_STRING = "Change";

	/**
	 * closed
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Closed}
	 * <p>
	 * A task which does not need attention. It may be closed because
       
 	 * has been abandoned or completed, for example.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Closed">Closed</a>
	 */
	public static final String CLOSED_STRING = "Closed";

	/**
	 * creates
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#creates}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#creates">creates</a>
	 */
	public static final String CREATES_STRING = "creates";

	/**
	 * creation
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Creation}
	 * <p>
	 * A creation is a change from existence
to non-existence
a task. Typical
 	 * properties include date and/or source
(a document causing the
 	 * transition), and a final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Creation">Creation</a>
	 */
	public static final String CREATION_STRING = "Creation";

	/**
	 * {@code http://www.w3.org/2005/01/wf/flow#date}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#date">date</a>
	 */
	public static final String DATE_STRING = "date";

	/**
	 * due
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dateDue}
	 * <p>
	 * The date this task is due.
                
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dateDue">dateDue</a>
	 */
	public static final String DATE_DUE_STRING = "dateDue";

	/**
	 * deliverable
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#deliverable}
	 * <p>
	 * Something which must be delivered to accomplish this
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#deliverable">deliverable</a>
	 */
	public static final String DELIVERABLE_STRING = "deliverable";

	/**
	 * how
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dependent}
	 * <p>
	 * Another task upon which this depends, in the sense that
        this
 	 * task cannot be completed without that task being done.
        You
 	 * can&#39;t use this for dependencies on anything other than other
 	 * tasks.
        (Note the US spelling of the URI. In the UK, a
 	 * dependant is a something
        which is dependent on somehing else.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dependent">dependent</a>
	 */
	public static final String DEPENDENT_STRING = "dependent";

	/**
	 * description
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#description}
	 * <p>
	 * The description, definition,
        or abstract. Information
 	 * explaining what this is.
        Not arbitrary comment about anything,
 	 * only about the subject.
        (Use this property for anything. There
 	 * is no domain restriction.).
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#description">description</a>
	 */
	public static final String DESCRIPTION_STRING = "description";

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#final}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#final">final</a>
	 */
	public static final String FINAL_STRING = "final";

	/**
	 * goals
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#goalDescription}
	 * <p>
	 * A textual description of the goals of this product, etc.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#goalDescription">goalDescription</a>
	 */
	public static final String GOAL_DESCRIPTION_STRING = "goalDescription";

	/**
	 * initial state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#initialState}
	 * <p>
	 * The initial state for a new issue
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#initialState">initialState</a>
	 */
	public static final String INITIAL_STATE_STRING = "initialState";

	/**
	 * issue
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issue}
	 * <p>
	 * A transition changes the state of the given issue.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issue">issue</a>
	 */
	public static final String ISSUE_STRING = "issue";

	/**
	 * issue category
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueCategory}
	 * <p>
	 * Issues may be categorized according to the
                subclasses
 	 * of this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueCategory">issueCategory</a>
	 */
	public static final String ISSUE_CATEGORY_STRING = "issueCategory";

	/**
	 * all issues must be in
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueClass}
	 * <p>
	 * The class of issues which are allowed in this tracker.
               
 	 * This is essemtial to the operation of the tracker,
                as
 	 * it defines which states an issue can be in.
                (The
 	 * issueClass must be a disjointUnionOf the state classes)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueClass">issueClass</a>
	 */
	public static final String ISSUE_CLASS_STRING = "issueClass";

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Message}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Message">Message</a>
	 */
	public static final String MESSAGE_STRING = "Message";

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#message}
	 * <p>
	 * A message about this. Attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#message">message</a>
	 */
	public static final String MESSAGE_PROP_STRING = "message";

	/**
	 * changed by
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#modifiedBy}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#modifiedBy">modifiedBy</a>
	 */
	public static final String MODIFIED_BY_STRING = "modifiedBy";

	/**
	 * non-terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#NonTerminalState}
	 * <p>
	 * A state from which there are transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#NonTerminalState">NonTerminalState</a>
	 */
	public static final String NON_TERMINAL_STATE_STRING = "NonTerminalState";

	/**
	 * open
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Open}
	 * <p>
	 * A task which needs attention. The very crude states of Open and Closed
 	 * all
        interoperability between different systems if the states
 	 * for a given
        application are made subclasses of either Open or
 	 * Closed. This allows
        tasks from different systems to be mixed
 	 * and treated together with
        limited but valuable
 	 * functionality.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Open">Open</a>
	 */
	public static final String OPEN_STRING = "Open";

	/**
	 * product
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Product}
	 * <p>
	 * A product is a task which monitors something
                which
 	 * must be produced.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Product">Product</a>
	 */
	public static final String PRODUCT_STRING = "Product";

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#recipent}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#recipent">recipent</a>
	 */
	public static final String RECIPENT_STRING = "recipent";

	/**
	 * requires
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#requires}
	 * <p>
	 * To be a valid transition,
		a necessary (but not necessarily
 	 * sufficuent) condition
		is that there be recorded these properties for
 	 * the record
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#requires">requires</a>
	 */
	public static final String REQUIRES_STRING = "requires";

	/**
	 * screen shot
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#screenShot}
	 * <p>
	 * An image taken by capturing the state of a
                 computer
 	 * screen, for example to demonstrate a problem
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#screenShot">screenShot</a>
	 */
	public static final String SCREEN_SHOT_STRING = "screenShot";

	/**
	 * from
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#sender}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#sender">sender</a>
	 */
	public static final String SENDER_STRING = "sender";

	/**
	 * source
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#source}
	 * <p>
	 * The source of a transition is
				the document by which it happened
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#source">source</a>
	 */
	public static final String SOURCE_STRING = "source";

	/**
	 * state store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#stateStore}
	 * <p>
	 * A read-write document.
                The state of the issues is
 	 * modified here.
                When you set up a trcaker, thgis must
 	 * be set to point
                to a writeble data resource on the
 	 * web.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#stateStore">stateStore</a>
	 */
	public static final String STATE_STORE_STRING = "stateStore";

	/**
	 * subscriber
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#subscriber}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#subscriber">subscriber</a>
	 */
	public static final String SUBSCRIBER_STRING = "subscriber";

	/**
	 * success criteria
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#successCriteria}
	 * <p>
	 * A textual description of the successs critera.
                How
 	 * when we know this is done?
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#successCriteria">successCriteria</a>
	 */
	public static final String SUCCESS_CRITERIA_STRING = "successCriteria";

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Task}
	 * <p>
	 * Something to be done in a wide sense,
	an agenda item at a meeting is
 	 * one example, but any
	issue, task, action item, goal, product,
 	 * deliverable, milestone, can such a thing.
	The requirement for this
 	 * framework was that it would allow
	one to customize ontologies for
 	 * things such as agenda items,
	action items, working group issues with
 	 * a spec, w3c Last Call issues,
	software bugs and administrative
 	 * requests.
	In π-calculus, a process.
	Make your type of issue a
 	 * subclass of Task.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Task">Task</a>
	 */
	public static final String TASK_STRING = "Task";

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#task}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#task">task</a>
	 */
	public static final String TASK_PROP_STRING = "task";

	/**
	 * terminal output
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#terminalOutput}
	 * <p>
	 * A file showing user interaction from a
                text terminal
 	 * or console etc. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#terminalOutput">terminalOutput</a>
	 */
	public static final String TERMINAL_OUTPUT_STRING = "terminalOutput";

	/**
	 * terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#TerminalState}
	 * <p>
	 * A state from which there are no transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#TerminalState">TerminalState</a>
	 */
	public static final String TERMINAL_STATE_STRING = "TerminalState";

	/**
	 * test data
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#testData}
	 * <p>
	 * A file which can be used as inpiut to a test
                or to
 	 * demonstrate a problem. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#testData">testData</a>
	 */
	public static final String TEST_DATA_STRING = "testData";

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Tracker}
	 * <p>
	 * A set of issues and
                the constraints on how they
 	 * evolve.
                To use this ontology, craete a new tracker.
  
 	 * Copy an existing one or make up your own.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Tracker">Tracker</a>
	 */
	public static final String TRACKER_STRING = "Tracker";

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#tracker}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#tracker">tracker</a>
	 */
	public static final String TRACKER_PROP_STRING = "tracker";

	/**
	 * transaction store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#transactionStore}
	 * <p>
	 * An appendable document. Transactions and messsages
                   
 	 * can be written into here
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#transactionStore">transactionStore</a>
	 */
	public static final String TRANSACTION_STORE_STRING = "transactionStore";

	/**
	 * transition
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Transition}
	 * <p>
	 * A transition is a change of state of
a task. Typical properties
 	 * include date and/or source
(a document causing the transition), and a
 	 * final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Transition">Transition</a>
	 */
	public static final String TRANSITION_STRING = "Transition";

	/*****************************
	 * Local Name String Constants
	 *****************************/

	/**
	 * action item
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#ActionItem}
	 * <p>
	 * An obligation taken on by a person, typically at a meeting.
    
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#ActionItem">ActionItem</a>
	 */
	public static final String ACTION_ITEM_LOCALNAME = "ActionItem";

	/**
	 * affects
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#affects}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#affects">affects</a>
	 */
	public static final String AFFECTS_LOCALNAME = "affects";

	/**
	 * allowed transitions
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#allowedTransitions}
	 * <p>
	 * The state machine is defined
	by these lists of transition allowed for
 	 * each issue.
	(An interesting option in the Web is to make an allowed
 	 * transition
	to a state in soemone else&#39;s ontology, which in turn
 	 * allows
	transitions into many ontologies.  So a finite state
 	 * maxchine
	may become very large. In practice this means that a task
 	 * handed
	off to another organization may be processed on all kinds of
 	 * ways.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#allowedTransitions">allowedTransitions</a>
	 */
	public static final String ALLOWED_TRANSITIONS_LOCALNAME = "allowedTransitions";

	/**
	 * assignees must be
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#asigneeClass}
	 * <p>
	 * When an issue is assigned, the assignee must be from this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#asigneeClass">asigneeClass</a>
	 */
	public static final String ASIGNEE_CLASS_LOCALNAME = "asigneeClass";

	/**
	 * assigned to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#assignee}
	 * <p>
	 * The person or group to whom this has been assigned.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#assignee">assignee</a>
	 */
	public static final String ASSIGNEE_LOCALNAME = "assignee";

	/**
	 * attachment
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#attachment}
	 * <p>
	 * Something related is attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#attachment">attachment</a>
	 */
	public static final String ATTACHMENT_LOCALNAME = "attachment";

	/**
	 * change
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Change}
	 * <p>
	 * The universal class of things which
change the state of a
 	 * task.
Included now: Creation, Transition. (Maybe in the future
more
 	 * π-calculus constructions such as splitting &amp; merging tasks,
and
 	 * import/export of obligations to a foreign opaque system.)

	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Change">Change</a>
	 */
	public static final String CHANGE_LOCALNAME = "Change";

	/**
	 * closed
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Closed}
	 * <p>
	 * A task which does not need attention. It may be closed because
       
 	 * has been abandoned or completed, for example.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Closed">Closed</a>
	 */
	public static final String CLOSED_LOCALNAME = "Closed";

	/**
	 * creates
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#creates}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#creates">creates</a>
	 */
	public static final String CREATES_LOCALNAME = "creates";

	/**
	 * creation
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Creation}
	 * <p>
	 * A creation is a change from existence
to non-existence
a task. Typical
 	 * properties include date and/or source
(a document causing the
 	 * transition), and a final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Creation">Creation</a>
	 */
	public static final String CREATION_LOCALNAME = "Creation";

	/**
	 * {@code http://www.w3.org/2005/01/wf/flow#date}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#date">date</a>
	 */
	public static final String DATE_LOCALNAME = "date";

	/**
	 * due
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dateDue}
	 * <p>
	 * The date this task is due.
                
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dateDue">dateDue</a>
	 */
	public static final String DATE_DUE_LOCALNAME = "dateDue";

	/**
	 * deliverable
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#deliverable}
	 * <p>
	 * Something which must be delivered to accomplish this
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#deliverable">deliverable</a>
	 */
	public static final String DELIVERABLE_LOCALNAME = "deliverable";

	/**
	 * how
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dependent}
	 * <p>
	 * Another task upon which this depends, in the sense that
        this
 	 * task cannot be completed without that task being done.
        You
 	 * can&#39;t use this for dependencies on anything other than other
 	 * tasks.
        (Note the US spelling of the URI. In the UK, a
 	 * dependant is a something
        which is dependent on somehing else.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dependent">dependent</a>
	 */
	public static final String DEPENDENT_LOCALNAME = "dependent";

	/**
	 * description
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#description}
	 * <p>
	 * The description, definition,
        or abstract. Information
 	 * explaining what this is.
        Not arbitrary comment about anything,
 	 * only about the subject.
        (Use this property for anything. There
 	 * is no domain restriction.).
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#description">description</a>
	 */
	public static final String DESCRIPTION_LOCALNAME = "description";

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#final}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#final">final</a>
	 */
	public static final String FINAL_LOCALNAME = "final";

	/**
	 * goals
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#goalDescription}
	 * <p>
	 * A textual description of the goals of this product, etc.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#goalDescription">goalDescription</a>
	 */
	public static final String GOAL_DESCRIPTION_LOCALNAME = "goalDescription";

	/**
	 * initial state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#initialState}
	 * <p>
	 * The initial state for a new issue
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#initialState">initialState</a>
	 */
	public static final String INITIAL_STATE_LOCALNAME = "initialState";

	/**
	 * issue
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issue}
	 * <p>
	 * A transition changes the state of the given issue.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issue">issue</a>
	 */
	public static final String ISSUE_LOCALNAME = "issue";

	/**
	 * issue category
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueCategory}
	 * <p>
	 * Issues may be categorized according to the
                subclasses
 	 * of this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueCategory">issueCategory</a>
	 */
	public static final String ISSUE_CATEGORY_LOCALNAME = "issueCategory";

	/**
	 * all issues must be in
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueClass}
	 * <p>
	 * The class of issues which are allowed in this tracker.
               
 	 * This is essemtial to the operation of the tracker,
                as
 	 * it defines which states an issue can be in.
                (The
 	 * issueClass must be a disjointUnionOf the state classes)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueClass">issueClass</a>
	 */
	public static final String ISSUE_CLASS_LOCALNAME = "issueClass";

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Message}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Message">Message</a>
	 */
	public static final String MESSAGE_LOCALNAME = "Message";

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#message}
	 * <p>
	 * A message about this. Attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#message">message</a>
	 */
	public static final String MESSAGE_PROP_LOCALNAME = "message";

	/**
	 * changed by
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#modifiedBy}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#modifiedBy">modifiedBy</a>
	 */
	public static final String MODIFIED_BY_LOCALNAME = "modifiedBy";

	/**
	 * non-terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#NonTerminalState}
	 * <p>
	 * A state from which there are transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#NonTerminalState">NonTerminalState</a>
	 */
	public static final String NON_TERMINAL_STATE_LOCALNAME = "NonTerminalState";

	/**
	 * open
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Open}
	 * <p>
	 * A task which needs attention. The very crude states of Open and Closed
 	 * all
        interoperability between different systems if the states
 	 * for a given
        application are made subclasses of either Open or
 	 * Closed. This allows
        tasks from different systems to be mixed
 	 * and treated together with
        limited but valuable
 	 * functionality.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Open">Open</a>
	 */
	public static final String OPEN_LOCALNAME = "Open";

	/**
	 * product
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Product}
	 * <p>
	 * A product is a task which monitors something
                which
 	 * must be produced.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Product">Product</a>
	 */
	public static final String PRODUCT_LOCALNAME = "Product";

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#recipent}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#recipent">recipent</a>
	 */
	public static final String RECIPENT_LOCALNAME = "recipent";

	/**
	 * requires
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#requires}
	 * <p>
	 * To be a valid transition,
		a necessary (but not necessarily
 	 * sufficuent) condition
		is that there be recorded these properties for
 	 * the record
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#requires">requires</a>
	 */
	public static final String REQUIRES_LOCALNAME = "requires";

	/**
	 * screen shot
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#screenShot}
	 * <p>
	 * An image taken by capturing the state of a
                 computer
 	 * screen, for example to demonstrate a problem
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#screenShot">screenShot</a>
	 */
	public static final String SCREEN_SHOT_LOCALNAME = "screenShot";

	/**
	 * from
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#sender}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#sender">sender</a>
	 */
	public static final String SENDER_LOCALNAME = "sender";

	/**
	 * source
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#source}
	 * <p>
	 * The source of a transition is
				the document by which it happened
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#source">source</a>
	 */
	public static final String SOURCE_LOCALNAME = "source";

	/**
	 * state store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#stateStore}
	 * <p>
	 * A read-write document.
                The state of the issues is
 	 * modified here.
                When you set up a trcaker, thgis must
 	 * be set to point
                to a writeble data resource on the
 	 * web.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#stateStore">stateStore</a>
	 */
	public static final String STATE_STORE_LOCALNAME = "stateStore";

	/**
	 * subscriber
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#subscriber}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#subscriber">subscriber</a>
	 */
	public static final String SUBSCRIBER_LOCALNAME = "subscriber";

	/**
	 * success criteria
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#successCriteria}
	 * <p>
	 * A textual description of the successs critera.
                How
 	 * when we know this is done?
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#successCriteria">successCriteria</a>
	 */
	public static final String SUCCESS_CRITERIA_LOCALNAME = "successCriteria";

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Task}
	 * <p>
	 * Something to be done in a wide sense,
	an agenda item at a meeting is
 	 * one example, but any
	issue, task, action item, goal, product,
 	 * deliverable, milestone, can such a thing.
	The requirement for this
 	 * framework was that it would allow
	one to customize ontologies for
 	 * things such as agenda items,
	action items, working group issues with
 	 * a spec, w3c Last Call issues,
	software bugs and administrative
 	 * requests.
	In π-calculus, a process.
	Make your type of issue a
 	 * subclass of Task.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Task">Task</a>
	 */
	public static final String TASK_LOCALNAME = "Task";

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#task}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#task">task</a>
	 */
	public static final String TASK_PROP_LOCALNAME = "task";

	/**
	 * terminal output
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#terminalOutput}
	 * <p>
	 * A file showing user interaction from a
                text terminal
 	 * or console etc. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#terminalOutput">terminalOutput</a>
	 */
	public static final String TERMINAL_OUTPUT_LOCALNAME = "terminalOutput";

	/**
	 * terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#TerminalState}
	 * <p>
	 * A state from which there are no transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#TerminalState">TerminalState</a>
	 */
	public static final String TERMINAL_STATE_LOCALNAME = "TerminalState";

	/**
	 * test data
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#testData}
	 * <p>
	 * A file which can be used as inpiut to a test
                or to
 	 * demonstrate a problem. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#testData">testData</a>
	 */
	public static final String TEST_DATA_LOCALNAME = "testData";

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Tracker}
	 * <p>
	 * A set of issues and
                the constraints on how they
 	 * evolve.
                To use this ontology, craete a new tracker.
  
 	 * Copy an existing one or make up your own.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Tracker">Tracker</a>
	 */
	public static final String TRACKER_LOCALNAME = "Tracker";

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#tracker}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#tracker">tracker</a>
	 */
	public static final String TRACKER_PROP_LOCALNAME = "tracker";

	/**
	 * transaction store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#transactionStore}
	 * <p>
	 * An appendable document. Transactions and messsages
                   
 	 * can be written into here
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#transactionStore">transactionStore</a>
	 */
	public static final String TRANSACTION_STORE_LOCALNAME = "transactionStore";

	/**
	 * transition
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Transition}
	 * <p>
	 * A transition is a change of state of
a task. Typical properties
 	 * include date and/or source
(a document causing the transition), and a
 	 * final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Transition">Transition</a>
	 */
	public static final String TRANSITION_LOCALNAME = "Transition";

	/***************
	 * IRI Constants
	 ***************/

	/**
	 * action item
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#ActionItem}
	 * <p>
	 * An obligation taken on by a person, typically at a meeting.
    
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#ActionItem">ActionItem</a>
	 */
	public static final IRI ACTION_ITEM;

	/**
	 * affects
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#affects}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#affects">affects</a>
	 */
	public static final IRI AFFECTS;

	/**
	 * allowed transitions
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#allowedTransitions}
	 * <p>
	 * The state machine is defined
	by these lists of transition allowed for
 	 * each issue.
	(An interesting option in the Web is to make an allowed
 	 * transition
	to a state in soemone else&#39;s ontology, which in turn
 	 * allows
	transitions into many ontologies.  So a finite state
 	 * maxchine
	may become very large. In practice this means that a task
 	 * handed
	off to another organization may be processed on all kinds of
 	 * ways.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#allowedTransitions">allowedTransitions</a>
	 */
	public static final IRI ALLOWED_TRANSITIONS;

	/**
	 * assignees must be
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#asigneeClass}
	 * <p>
	 * When an issue is assigned, the assignee must be from this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#asigneeClass">asigneeClass</a>
	 */
	public static final IRI ASIGNEE_CLASS;

	/**
	 * assigned to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#assignee}
	 * <p>
	 * The person or group to whom this has been assigned.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#assignee">assignee</a>
	 */
	public static final IRI ASSIGNEE;

	/**
	 * attachment
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#attachment}
	 * <p>
	 * Something related is attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#attachment">attachment</a>
	 */
	public static final IRI ATTACHMENT;

	/**
	 * change
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Change}
	 * <p>
	 * The universal class of things which
change the state of a
 	 * task.
Included now: Creation, Transition. (Maybe in the future
more
 	 * π-calculus constructions such as splitting &amp; merging tasks,
and
 	 * import/export of obligations to a foreign opaque system.)

	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Change">Change</a>
	 */
	public static final IRI CHANGE;

	/**
	 * closed
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Closed}
	 * <p>
	 * A task which does not need attention. It may be closed because
       
 	 * has been abandoned or completed, for example.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Closed">Closed</a>
	 */
	public static final IRI CLOSED;

	/**
	 * creates
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#creates}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#creates">creates</a>
	 */
	public static final IRI CREATES;

	/**
	 * creation
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Creation}
	 * <p>
	 * A creation is a change from existence
to non-existence
a task. Typical
 	 * properties include date and/or source
(a document causing the
 	 * transition), and a final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Creation">Creation</a>
	 */
	public static final IRI CREATION;

	/**
	 * {@code http://www.w3.org/2005/01/wf/flow#date}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#date">date</a>
	 */
	public static final IRI DATE;

	/**
	 * due
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dateDue}
	 * <p>
	 * The date this task is due.
                
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dateDue">dateDue</a>
	 */
	public static final IRI DATE_DUE;

	/**
	 * deliverable
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#deliverable}
	 * <p>
	 * Something which must be delivered to accomplish this
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#deliverable">deliverable</a>
	 */
	public static final IRI DELIVERABLE;

	/**
	 * how
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#dependent}
	 * <p>
	 * Another task upon which this depends, in the sense that
        this
 	 * task cannot be completed without that task being done.
        You
 	 * can&#39;t use this for dependencies on anything other than other
 	 * tasks.
        (Note the US spelling of the URI. In the UK, a
 	 * dependant is a something
        which is dependent on somehing else.)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#dependent">dependent</a>
	 */
	public static final IRI DEPENDENT;

	/**
	 * description
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#description}
	 * <p>
	 * The description, definition,
        or abstract. Information
 	 * explaining what this is.
        Not arbitrary comment about anything,
 	 * only about the subject.
        (Use this property for anything. There
 	 * is no domain restriction.).
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#description">description</a>
	 */
	public static final IRI DESCRIPTION;

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#final}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#final">final</a>
	 */
	public static final IRI FINAL;

	/**
	 * goals
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#goalDescription}
	 * <p>
	 * A textual description of the goals of this product, etc.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#goalDescription">goalDescription</a>
	 */
	public static final IRI GOAL_DESCRIPTION;

	/**
	 * initial state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#initialState}
	 * <p>
	 * The initial state for a new issue
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#initialState">initialState</a>
	 */
	public static final IRI INITIAL_STATE;

	/**
	 * issue
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issue}
	 * <p>
	 * A transition changes the state of the given issue.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issue">issue</a>
	 */
	public static final IRI ISSUE;

	/**
	 * issue category
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueCategory}
	 * <p>
	 * Issues may be categorized according to the
                subclasses
 	 * of this class
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueCategory">issueCategory</a>
	 */
	public static final IRI ISSUE_CATEGORY;

	/**
	 * all issues must be in
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#issueClass}
	 * <p>
	 * The class of issues which are allowed in this tracker.
               
 	 * This is essemtial to the operation of the tracker,
                as
 	 * it defines which states an issue can be in.
                (The
 	 * issueClass must be a disjointUnionOf the state classes)
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#issueClass">issueClass</a>
	 */
	public static final IRI ISSUE_CLASS;

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Message}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Message">Message</a>
	 */
	public static final IRI MESSAGE;

	/**
	 * message
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#message}
	 * <p>
	 * A message about this. Attached for information.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#message">message</a>
	 */
	public static final IRI MESSAGE_PROP;

	/**
	 * changed by
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#modifiedBy}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#modifiedBy">modifiedBy</a>
	 */
	public static final IRI MODIFIED_BY;

	/**
	 * non-terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#NonTerminalState}
	 * <p>
	 * A state from which there are transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#NonTerminalState">NonTerminalState</a>
	 */
	public static final IRI NON_TERMINAL_STATE;

	/**
	 * open
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Open}
	 * <p>
	 * A task which needs attention. The very crude states of Open and Closed
 	 * all
        interoperability between different systems if the states
 	 * for a given
        application are made subclasses of either Open or
 	 * Closed. This allows
        tasks from different systems to be mixed
 	 * and treated together with
        limited but valuable
 	 * functionality.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Open">Open</a>
	 */
	public static final IRI OPEN;

	/**
	 * product
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Product}
	 * <p>
	 * A product is a task which monitors something
                which
 	 * must be produced.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Product">Product</a>
	 */
	public static final IRI PRODUCT;

	/**
	 * to
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#recipent}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#recipent">recipent</a>
	 */
	public static final IRI RECIPENT;

	/**
	 * requires
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#requires}
	 * <p>
	 * To be a valid transition,
		a necessary (but not necessarily
 	 * sufficuent) condition
		is that there be recorded these properties for
 	 * the record
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#requires">requires</a>
	 */
	public static final IRI REQUIRES;

	/**
	 * screen shot
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#screenShot}
	 * <p>
	 * An image taken by capturing the state of a
                 computer
 	 * screen, for example to demonstrate a problem
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#screenShot">screenShot</a>
	 */
	public static final IRI SCREEN_SHOT;

	/**
	 * from
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#sender}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#sender">sender</a>
	 */
	public static final IRI SENDER;

	/**
	 * source
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#source}
	 * <p>
	 * The source of a transition is
				the document by which it happened
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#source">source</a>
	 */
	public static final IRI SOURCE;

	/**
	 * state store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#stateStore}
	 * <p>
	 * A read-write document.
                The state of the issues is
 	 * modified here.
                When you set up a trcaker, thgis must
 	 * be set to point
                to a writeble data resource on the
 	 * web.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#stateStore">stateStore</a>
	 */
	public static final IRI STATE_STORE;

	/**
	 * subscriber
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#subscriber}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#subscriber">subscriber</a>
	 */
	public static final IRI SUBSCRIBER;

	/**
	 * success criteria
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#successCriteria}
	 * <p>
	 * A textual description of the successs critera.
                How
 	 * when we know this is done?
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#successCriteria">successCriteria</a>
	 */
	public static final IRI SUCCESS_CRITERIA;

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Task}
	 * <p>
	 * Something to be done in a wide sense,
	an agenda item at a meeting is
 	 * one example, but any
	issue, task, action item, goal, product,
 	 * deliverable, milestone, can such a thing.
	The requirement for this
 	 * framework was that it would allow
	one to customize ontologies for
 	 * things such as agenda items,
	action items, working group issues with
 	 * a spec, w3c Last Call issues,
	software bugs and administrative
 	 * requests.
	In π-calculus, a process.
	Make your type of issue a
 	 * subclass of Task.
	
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Task">Task</a>
	 */
	public static final IRI TASK;

	/**
	 * task
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#task}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#task">task</a>
	 */
	public static final IRI TASK_PROP;

	/**
	 * terminal output
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#terminalOutput}
	 * <p>
	 * A file showing user interaction from a
                text terminal
 	 * or console etc. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#terminalOutput">terminalOutput</a>
	 */
	public static final IRI TERMINAL_OUTPUT;

	/**
	 * terminal state
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#TerminalState}
	 * <p>
	 * A state from which there are no transitions.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#TerminalState">TerminalState</a>
	 */
	public static final IRI TERMINAL_STATE;

	/**
	 * test data
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#testData}
	 * <p>
	 * A file which can be used as inpiut to a test
                or to
 	 * demonstrate a problem. 
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#testData">testData</a>
	 */
	public static final IRI TEST_DATA;

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Tracker}
	 * <p>
	 * A set of issues and
                the constraints on how they
 	 * evolve.
                To use this ontology, craete a new tracker.
  
 	 * Copy an existing one or make up your own.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Tracker">Tracker</a>
	 */
	public static final IRI TRACKER;

	/**
	 * tracker
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#tracker}
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#tracker">tracker</a>
	 */
	public static final IRI TRACKER_PROP;

	/**
	 * transaction store
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#transactionStore}
	 * <p>
	 * An appendable document. Transactions and messsages
                   
 	 * can be written into here
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#transactionStore">transactionStore</a>
	 */
	public static final IRI TRANSACTION_STORE;

	/**
	 * transition
	 * <p>
	 * {@code http://www.w3.org/2005/01/wf/flow#Transition}
	 * <p>
	 * A transition is a change of state of
a task. Typical properties
 	 * include date and/or source
(a document causing the transition), and a
 	 * final state.
	 * @see <a href="http://www.w3.org/2005/01/wf/flow#Transition">Transition</a>
	 */
	public static final IRI TRANSITION;

	/**
	 * Static initializer
	 */
	static {
		ValueFactory vf = SimpleValueFactory.getInstance();

		NAMESPACE_IRI = vf.createIRI(NAMESPACE);

		/***********************
		 * IRI Constant creation
		 ***********************/
		ACTION_ITEM = vf.createIRI("http://www.w3.org/2005/01/wf/flow#ActionItem");
		AFFECTS = vf.createIRI("http://www.w3.org/2005/01/wf/flow#affects");
		ALLOWED_TRANSITIONS = vf.createIRI("http://www.w3.org/2005/01/wf/flow#allowedTransitions");
		ASIGNEE_CLASS = vf.createIRI("http://www.w3.org/2005/01/wf/flow#asigneeClass");
		ASSIGNEE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#assignee");
		ATTACHMENT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#attachment");
		CHANGE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Change");
		CLOSED = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Closed");
		CREATES = vf.createIRI("http://www.w3.org/2005/01/wf/flow#creates");
		CREATION = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Creation");
		DATE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#date");
		DATE_DUE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#dateDue");
		DELIVERABLE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#deliverable");
		DEPENDENT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#dependent");
		DESCRIPTION = vf.createIRI("http://www.w3.org/2005/01/wf/flow#description");
		FINAL = vf.createIRI("http://www.w3.org/2005/01/wf/flow#final");
		GOAL_DESCRIPTION = vf.createIRI("http://www.w3.org/2005/01/wf/flow#goalDescription");
		INITIAL_STATE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#initialState");
		ISSUE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#issue");
		ISSUE_CATEGORY = vf.createIRI("http://www.w3.org/2005/01/wf/flow#issueCategory");
		ISSUE_CLASS = vf.createIRI("http://www.w3.org/2005/01/wf/flow#issueClass");
		MESSAGE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Message");
		MESSAGE_PROP = vf.createIRI("http://www.w3.org/2005/01/wf/flow#message");
		MODIFIED_BY = vf.createIRI("http://www.w3.org/2005/01/wf/flow#modifiedBy");
		NON_TERMINAL_STATE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#NonTerminalState");
		OPEN = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Open");
		PRODUCT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Product");
		RECIPENT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#recipent");
		REQUIRES = vf.createIRI("http://www.w3.org/2005/01/wf/flow#requires");
		SCREEN_SHOT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#screenShot");
		SENDER = vf.createIRI("http://www.w3.org/2005/01/wf/flow#sender");
		SOURCE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#source");
		STATE_STORE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#stateStore");
		SUBSCRIBER = vf.createIRI("http://www.w3.org/2005/01/wf/flow#subscriber");
		SUCCESS_CRITERIA = vf.createIRI("http://www.w3.org/2005/01/wf/flow#successCriteria");
		TASK = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Task");
		TASK_PROP = vf.createIRI("http://www.w3.org/2005/01/wf/flow#task");
		TERMINAL_OUTPUT = vf.createIRI("http://www.w3.org/2005/01/wf/flow#terminalOutput");
		TERMINAL_STATE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#TerminalState");
		TEST_DATA = vf.createIRI("http://www.w3.org/2005/01/wf/flow#testData");
		TRACKER = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Tracker");
		TRACKER_PROP = vf.createIRI("http://www.w3.org/2005/01/wf/flow#tracker");
		TRANSACTION_STORE = vf.createIRI("http://www.w3.org/2005/01/wf/flow#transactionStore");
		TRANSITION = vf.createIRI("http://www.w3.org/2005/01/wf/flow#Transition");
	}

	public WF() {
		// To enable service discovery to succeed, even though this is a static class
	}
}